Loading...
Searching...
No Matches
lock.c File Reference
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <fcntl.h>`
`#include <unistd.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <signal.h>`
`#include "local_proto.h"`
`#include <grass/gis.h>`
`#include <grass/glocale.h>`
`#include <errno.h>`
Include dependency graph for lock.c:

Go to the source code of this file.

## Macros

#define | file argv[1]

## Functions

int | main (int argc, char *argv[])
int | find_process (int pid)

## Macro Definition Documentation

## file

#define file argv[1]

Referenced by G__calloc(), G__malloc(), G__md_print_cli_long_version(), G__md_print_cli_short_version(), G__md_print_python_long_version(), G__md_print_python_short_version(), G__realloc(), G_lookup_key_value_from_file(), G_read_datum_table(), G_read_ellipsoid_table(), G_read_key_value_file(), G_update_key_value_file(), G_write_key_value_file(), GPJ_get_datum_transform_by_name(), main(), parse_fontcap(), read_datum_table(), and read_ellipsoid_table().

## Function Documentation

## find_process()

int find_process | ( | int | pid | ) |

Definition at line 67 of file lock.c.

Referenced by main().

## main()

int main | ( | int | argc,
|  | char * | argv[] )

Definition at line 30 of file lock.c.

References file, find_process(), G_fatal_error(), G_sleep(), and G_warning().